#!/bin/sh

SCRIPT=common-cli-dat.sh

result()
{
  if [ $? -ne 0 ]; then
    echo "ERROR"
    exit 1
  fi
}



echo "=============================="
echo " $SCRIPT started"
echo "=============================="

DIR_START=$(pwd)


echo
echo
echo "DIR_START=$DIR_START"
echo
echo "Detecting current location"
cd ..
test_dir=$(pwd)
echo "test_dir=$test_dir"
cd $DIR_START

echo "Picking up base directory name to test_dir_name"
test_dir_name=`basename $test_dir`
echo "test_dir_name=$test_dir_name"
echo "Checking if test_dir_name equal to ukmupman"
if [ "$test_dir_name" = "ukmupman" ]; then
	echo "test_dir_name is equal to ukmupman"
	DIR_INSTALL="../.."
else
	echo "test_dir_name is not equal to ukmupman"
	DIR_INSTALL=".."
fi

echo "DIR_INSTALL=$DIR_INSTALL"

echo "Converting DIR_INSTALL to absolute path"
cd $DIR_INSTALL
DIR_INSTALL=$(pwd)
cd $DIR_START

echo "DIR_INSTALL=$DIR_INSTALL"

RC_UKM_PATH="$DIR_INSTALL/rc.ukm"
echo "RC_UKM_PATH=$RC_UKM_PATH"

echo "Checking file $RC_UKM_PATH"
[ -f $RC_UKM_PATH ]
result

addr="127.0.0.1"
mysql_port="3306"
base="ukmclient"
user="root"
password=

echo "Loading $RC_UKM_PATH"
eval "$(cat $RC_UKM_PATH|dos2unix)"

export addr mysql_port base user password

echo "DB connection parameters after loading $RC_UKM_PATH"
echo "  addr=$addr"
echo "  mysql_port=$mysql_port"
echo "  base=$base"
echo "  user=$user"
echo "  password=$password"


echo "=============================="
echo " $SCRIPT completed"
echo "=============================="
