#!/bin/bash

result()
{
  if [ $? -ne 0 ]; then
    echo "ERROR"
    exit 1
  fi
}

echo "==== $0 started $(date) ==========="

#ATTENTION! common-cli-dat.sh have to be called as included shell
#ATTENTION! Do not call it as separate shell using ./
. ./common-cli-dat.sh

db_script=ukmclient-upgrade.sql
echo "==== $db_script execution started"
mysql --host=$addr --port=$mysql_port --user=$user --password=$password --database=$base --execute="source $db_script"
result
echo "==== $db_script execution completed"

echo
php_script=ukmclient-upgrade.php
echo "==== $php_script execution started"
php -c php-linux-php_ukm-off.ini -d display_errors=On $php_script
result
echo "==== $php_script execution completed"

echo
echo "=== UKM4-3614 === begin ======================"
if [ -e /etc/systemd/system/lillo.service ]; then
	sed -e 's/\(mysql.service\)$/\1 zx11.service\nRequires=zx11.service/' -i /etc/systemd/system/lillo.service; result
	systemctl daemon-reload; result
fi
echo "=== UKM4-3614 ===  end  ======================"

echo
echo "=== UKM4-3627 === begin ======================"
tar xvzf armfr.tar.gz -C /usr/local/armfrd
result
echo "=== UKM4-3627 ===  end  ======================"

echo
echo "==== $0 completed $(date) ========="

exit 0
