#!/bin/bash

result()
{
  if [ $? -ne 0 ]; then
    echo "ERROR"
    exit 1
  fi
}

echo "==== $0 started $(date) ==========="

#ATTENTION! common-srv-ops.sh have to be called as included shell
#ATTENTION! Do not call it as separate shell using ./
. ./common-srv-dat.sh

db_script=ukmserver-upgrade.sql
echo "==== $db_script execution started"
mysql --host=$UKMSRVDBHOST --user=$UKMSRVDBUSER --password=$UKMSRVDBPASSWORD --database=$UKMSRVDBNAME  --port=$UKMSRVDBPORT --execute="source $db_script"
result
echo "==== $db_script execution completed"

echo
php_script=ukmserver-upgrade.php
echo "==== $php_script execution started"
php -c php-linux-php_ukm-off.ini -d display_errors=On $php_script
result
echo "==== $php_script execution completed"

echo
echo "==== $0 completed $(date) ========="

exit 0
